#ifndef __ALLOCA_H__
# define __ALLOCA_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <stddef.h>

#undef alloca

/* Allocate a block of memory on the stack. */
extern void *alloca(size_t __size);

#define alloca(size) __builtin_alloca(size)

#ifdef __cplusplus
}
#endif

#endif /*__ALLOCA_H__*/
