#include "stdlib_p.h"
#include <errno.h>

long long int strtoll(char const * restrict ptr, char ** restrict endptr,
	int base)
{
	long long n = 0;
	if(endptr)
		*endptr = (char *)ptr;

	struct __scanf_input in = { .str = ptr, .fp = NULL, .readmaxlength = -1 };
	__scanf_start(&in);
	int err = __strto_int(&in, base, NULL, &n, false);
	__scanf_end(&in);

	if(err != 0)
		errno = err;
	if(err != EINVAL && endptr)
		*endptr = (char *)in.str;
	return n;
}
