#include "stdlib_p.h"
#include <errno.h>

double strtod(char const * restrict ptr, char ** restrict endptr)
{
	double d = 0;
	if(endptr)
		*endptr = (char *)ptr;

	struct __scanf_input in = { .str = ptr, .fp = NULL, .readmaxlength = -1 };
	__scanf_start(&in);
	int err = __strto_fp(&in, &d, NULL, NULL);
	__scanf_end(&in);

	if(err != 0)
		errno = err;
	if(err != EINVAL && endptr)
		*endptr = (char *)in.str;
	return d;
}
